/*
 * Definitions for libagdb
 *
 * Copyright (C) 2014-2018, Joachim Metz <joachim.metz@gmail.com>
 *
 * Refer to AUTHORS for acknowledgements.
 *
 * This software is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this software.  If not, see <http://www.gnu.org/licenses/>.
 */

#if !defined( _LIBAGDB_DEFINITIONS_H )
#define _LIBAGDB_DEFINITIONS_H

#include <libagdb/types.h>

#define LIBAGDB_VERSION				20180802

/* The version string
 */
#define LIBAGDB_VERSION_STRING			"20180802"

/* The access flags definitions
 * bit 1        set to 1 for read access
 * bit 2        set to 1 for write access
 * bit 3-8      not used
 */
enum LIBAGDB_ACCESS_FLAGS
{
	LIBAGDB_ACCESS_FLAG_READ		= 0x01,
/* Reserved: not supported yet */
	LIBAGDB_ACCESS_FLAG_WRITE		= 0x02
};

/* The file access macros
 */
#define LIBAGDB_OPEN_READ			( LIBAGDB_ACCESS_FLAG_READ )
/* Reserved: not supported yet */
#define LIBAGDB_OPEN_WRITE			( LIBAGDB_ACCESS_FLAG_WRITE )
/* Reserved: not supported yet */
#define LIBAGDB_OPEN_READ_WRITE			( LIBAGDB_ACCESS_FLAG_READ | LIBAGDB_ACCESS_FLAG_WRITE )

/* The file type definitions
 */
enum LIBAGDB_FILE_TYPES
{
	LIBAGDB_FILE_TYPE_UNCOMPRESSED		= 1,
	LIBAGDB_FILE_TYPE_COMPRESSED_VISTA	= 2,
	LIBAGDB_FILE_TYPE_COMPRESSED_WINDOWS7	= 3,
	LIBAGDB_FILE_TYPE_COMPRESSED_WINDOWS8	= 4
};

#endif /* !defined( _LIBAGDB_DEFINITIONS_H ) */

